Screen 12
CanExit = 1

 Do While CanExit <> 0
     GetMouse CurrentX, CurrentY, , MouseButtons
         If CurrentX < 0 Then
             Print "Mouse is out of context."
                 Else
                     If MouseButtons And LEFTBUTTON Then A="L"
                         If MouseButtons And MIDDLEBUTTON Then B="M"
                             If MouseButtons And RIGHTBUTTON Then C="R"
                                 Print Using "Mouse position: ###:### Buttons: &&&"; CurrentX; CurrentY;A;B;C
                                     A="":B="":C=""
                                         End If
                                         Loop
